
package com.ejie.ab61.clientesWS.X43Toolkit;

import java.net.MalformedURLException;
import java.net.URL;
import java.util.logging.Logger;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceFeature;


/**
 * This class was  
 * Oracle JAX-WS 2.1.5
 * Generated source version: 2.1
 * 
 */
@WebServiceClient(name = "x43kWebService", targetNamespace = "com/ejie/toolkit/xml", wsdlLocation = "META-INF/wsdls/X43Toolkit.wsdl")
public class X43KWebService_Service
    extends Service
{

    private final static URL X43KWEBSERVICE_WSDL_LOCATION;
    private final static Logger logger = Logger.getLogger(com.ejie.ab61.clientesWS.X43Toolkit.X43KWebService_Service.class.getName());

    static {
        URL url = null;
        try {
            URL baseUrl;
            baseUrl = com.ejie.ab61.clientesWS.X43Toolkit.X43KWebService_Service.class.getResource(".");
            url = new URL(baseUrl, "META-INF/wsdls/X43Toolkit.wsdl");
        } catch (MalformedURLException e) {
            logger.warning("Failed to create URL for the wsdl Location: 'META-INF/wsdls/X43Toolkit.wsdl', retrying as a local file");
            logger.warning(e.getMessage());
        }
        X43KWEBSERVICE_WSDL_LOCATION = url;
    }

    public X43KWebService_Service(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public X43KWebService_Service() {
        super(X43KWEBSERVICE_WSDL_LOCATION, new QName("com/ejie/toolkit/xml", "x43kWebService"));
    }

    /**
     * 
     * @return
     *     returns X43KWebService
     */
    @WebEndpoint(name = "x43kWebServicePort")
    public X43KWebService getX43KWebServicePort() {
        return super.getPort(new QName("com/ejie/toolkit/xml", "x43kWebServicePort"), X43KWebService.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns X43KWebService
     */
    @WebEndpoint(name = "x43kWebServicePort")
    public X43KWebService getX43KWebServicePort(WebServiceFeature... features) {
        return super.getPort(new QName("com/ejie/toolkit/xml", "x43kWebServicePort"), X43KWebService.class, features);
    }

}
